SystemOrganization addCategory: #'A3-Model-Tests'!
SystemOrganization addCategory: #'A3-Model'!

Object subclass: #A3Resources
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model'!

!A3Resources class methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 13:42'!
tp0By: aStudent
	^A3Tp new.! !

Object subclass: #A3Run
	instanceVariableNames: 'tp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model'!

!A3Run class methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 12/30/2012 09:44'!
execute: aTp
	| run |
	run := self new.
	run tp: aTp.
	^run.! !

!A3Run methodsFor: 'testing' stamp: 'DiegoSanchez 12/30/2012 09:46'!
isFailed
	^true.! !

!A3Run methodsFor: 'private' stamp: 'DiegoSanchez 12/30/2012 09:45'!
tp: aTp
	tp := aTp.! !

Object subclass: #A3Tp
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model'!

!A3Tp commentStamp: 'DiegoSanchez 12/30/2012 10:04' prior: 0!
An A3Tp is a SmallTalk TP for AlgoIII Fiuba.
!

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 14:09'!
code
	^'"7507 - 2C2012 - TP0 - Enunciado 1".',
	'Transcript cr.',
	'Transcript cr.',
	'',
	'unaSecuencia := Secuencia new.',
	'',
	'(unaSecuencia estaVacia) ifTrue: [Transcript show: ''Prueba 1 OK''].',
	'Transcript cr.',
	'',
	'unaSecuencia agregar: 1.',
	'unaSecuencia agregar: 10.',
	'unaSecuencia agregar: 100.',
	'',
	'unaSecuencia estaOrdenadaAscendente ifTrue: [Transcript show: ''Prueba 2 OK''].',
	'Transcript cr.',
	'',
	'(unaSecuencia obtenerUltimo = 100) ifTrue: [Transcript show: ''Prueba 3 OK''].',
	'Transcript cr.',
	'',
	'unaSecuencia estaVacia ifFalse: [Transcript show: ''Prueba 4 OK''].',
	'Transcript cr.',
	'',
	'unaSecuencia vaciar.',
	'unaSecuencia estaVacia ifTrue: [Transcript show: ''Prueba 5 OK''].'.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 14:10'!
title
	^'TP 0'.! !

TestCase subclass: #TestA3Resources
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model-Tests'!

!TestA3Resources methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 14:11'!
testGettingTP0
	| tp aStudent |
	tp := A3Resources tp0By: aStudent.
	self assert: (tp code includesSubString: '"7507 - 2C2012 - TP0 - Enunciado 1".').
	self assert: (tp title = 'TP 0').! !
